let Genode = env:DHALL_GENODE

let baseNova = env:BASE_NOVA_MANIFEST

let os = env:OS_MANIFEST

let sotest-producer = env:SOTEST_PRODUCER_MANIFEST

in  { arch = let Arch = < x86_32 | x86_64 > in Arch.x86_64
    , config =
        Genode.Init::{
        , verbose = True
        , children =
            toMap
              { test =
                  Genode.Init.Start::{
                  , binary = "test-sotest"
                  , exitPropagate = True
                  }
              }
        }
    , rom =
        [ os.bin.init, sotest-producer.bin.test-sotest
        , { mapKey = "ld.lib.so", mapValue = baseNova.bin.ld-nova.mapValue }
        ]
    }
