{ genodeApps, dhallApps, genodePackages, legacyPackages, sotest-producer }:

legacyPackages.stdenv.mkDerivation {
  name = "sotest-nova";
  DHALL_GENODE = "${genodePackages.dhallGenode}/package.dhall";
  BASE_NOVA_MANIFEST = genodePackages.base-nova.manifest;
  OS_MANIFEST = genodePackages.os.manifest;
  SOTEST_PRODUCER_MANIFEST = sotest-producer.manifest;
  buildCommand = ''
    cp "${genodePackages.bender}/share/bender/bender" .
    cp "${genodePackages.NOVA}/hypervisor-x86_64" .
    ${genodeApps.nova-image.program} ${./boot.dhall}
    mkdir -p $out
    ${legacyPackages.buildPackages.zip}/bin/zip $out/binaries.zip bender hypervisor-x86_64 image.elf
    ${dhallApps.dhall-to-yaml.program} < ${
      ./sotest_config.dhall
    } > $out/sotest_config.yaml
  '';
}
